Summary:        Pytest plugin for manipulating test data directories and files
Name:           python-pytest-datadir
Version:        1.4.1
Release:        1%{?dist}
License:        MIT
URL:            https://github.com/gabrielcnr/pytest-datadir
Source0:        %{url}/archive/%{version}/pytest-datadir-%{version}.tar.gz

BuildRequires:  python3-devel python3dist(docutils)

BuildArch:      noarch

%description
pytest plugin for manipulating test data directories and files.


%package     -n python3-pytest-datadir
Summary:        Pytest plugin for manipulating test data directories and files


%description -n python3-pytest-datadir
pytest plugin for manipulating test data directories and files.


%prep
%autosetup -n pytest-datadir-%{version}

%generate_buildrequires
export SETUPTOOLS_SCM_PRETEND_VERSION='%{version}'
%pyproject_buildrequires -t


%build
export SETUPTOOLS_SCM_PRETEND_VERSION='%{version}'
%pyproject_wheel
rst2html --no-datestamp CHANGELOG.rst CHANGELOG.html


%install
%pyproject_install
%pyproject_save_files pytest_datadir


%check
%tox


%files -n python3-pytest-datadir -f %{pyproject_files}
%doc AUTHORS CHANGELOG.html README.md


%changelog
* Mon Sep 25 2023 Miaojun Dong <zoedong@tencent.com> - 1.4.1-1
- Initial build
